monitor {rstan} | R Documentation

## Compute summaries of MCMC draws and monitor convergence

### Description

Similar to the `print` method for `stanfit` objects, but `monitor` takes an array of simulations as its argument rather than a `stanfit` object. For a 3-D array (iterations * chains * parameters) of MCMC draws, `monitor` computes means, standard deviations, quantiles, Monte Carlo standard errors, split Rhats, and effective sample sizes. By default, half of the iterations are considered warmup and are excluded.

### Usage

    monitor(sims, warmup = floor(dim(sims)[1]/2),
            probs = c(0.025, 0.25, 0.5, 0.75, 0.975),
            digits_summary = 1, print = TRUE, ...)

### Arguments

`sims` | A 3-D array (iterations * chains * parameters) of MCMC simulations from any MCMC algorithm.
`warmup` | The number of warmup iterations to be excluded when computing the summaries. The default is half of the total number of iterations. If `sims` doesn't include the warmup iterations then `warmup` should be set to zero.
`probs` | A numeric vector specifying quantiles of interest. The defaults is `c(0.025,0.25,0.5,0.75,0.975)`.
`digits_summary` | The number of significant digits to use when printing the summary, defaulting to 1. Applies to the quantities other than the effective sample size, which is always rounded to the nearest integer.
`print` | Logical, indicating whether to print the summary after the computations are performed.
`...` | Additional arguments passed to the underlying `print` method.

### Value

A 2-D array with rows corresponding to parameters and columns to the summary statistics.

### References

The Stan Development Team Stan Modeling Language User's Guide and Reference Manual. http://mc-stan.org.

### See Also

S4 class `stanfit` and particularly its `print` method.

### Examples

    csvfiles <- dir(system.file('misc', package = 'rstan'),
                    pattern = 'rstan_doc_ex_[0-9].csv', full.names = TRUE)
    fit <- read_stan_csv(csvfiles)
    # The following is just for the purpose of giving an example
    # since print can be used for a stanfit object.
    monitor(extract(fit, permuted = FALSE, inc_warmup = TRUE))

[Package rstan version 2.12.1 Index]